package com.subzdesigns.animationsandroid;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;

/**
 * Created by Subz Designs.
 * Developed by Tansu Canturk
 */

import android.content.Intent;
import android.os.Handler;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.animation.AlphaAnimation;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.LinearInterpolator;
import android.view.animation.RotateAnimation;
import android.view.animation.TranslateAnimation;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

import java.util.Random;

public class MainActivity extends AppCompatActivity
{

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final ImageView img_animation1 = (ImageView)findViewById(R.id.imgLogo);

        Button fadein = (Button) findViewById(R.id.fadein);
        Button fadeout = (Button) findViewById(R.id.fadeout);
        Button rotate = (Button) findViewById(R.id.rotate);
        Button customanim = (Button) findViewById(R.id.customanim);
        Button randombtn = (Button) findViewById(R.id.randombtn);

        fadein.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                img_animation1.startAnimation(AnimationUtils.loadAnimation(getApplicationContext(), R.anim.fadein));

            }
        });

        fadeout.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                img_animation1.startAnimation(AnimationUtils.loadAnimation(getApplicationContext(), R.anim.fadeout));

            }
        });

        rotate.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                img_animation1.startAnimation(AnimationUtils.loadAnimation(getApplicationContext(), R.anim.rotate));

            }
        });

        customanim.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                img_animation1.startAnimation(AnimationUtils.loadAnimation(getApplicationContext(), R.anim.customanim));

            }
        });

        randombtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {


                int min = 1;
                int max = 6;

                Random r = new Random();
                int i1 = r.nextInt(max - min + 1) + min;

                if (i1 == 1) {
                    Toast.makeText(getApplicationContext(), "Fade in", Toast.LENGTH_SHORT).show();
                    img_animation1.startAnimation(AnimationUtils.loadAnimation(getApplicationContext(), R.anim.fadein));
                }
                else if (i1 == 2) {
                    Toast.makeText(getApplicationContext(), "Fade out", Toast.LENGTH_SHORT).show();
                    img_animation1.startAnimation(AnimationUtils.loadAnimation(getApplicationContext(), R.anim.fadeout));
                }

                else if (i1 == 3) {
                    Toast.makeText(getApplicationContext(), "Rotate", Toast.LENGTH_SHORT).show();
                    img_animation1.startAnimation(AnimationUtils.loadAnimation(getApplicationContext(), R.anim.rotate));
                }

                else if (i1 == 4) {
                    Toast.makeText(getApplicationContext(), "Rotate", Toast.LENGTH_SHORT).show();
                    img_animation1.startAnimation(AnimationUtils.loadAnimation(getApplicationContext(), R.anim.rotate));
                }

                else if (i1 == 5) {
                    Toast.makeText(getApplicationContext(), "Custom", Toast.LENGTH_SHORT).show();
                    img_animation1.startAnimation(AnimationUtils.loadAnimation(getApplicationContext(), R.anim.customanim));
                }
            }
        });
    }
}

